def ps

pipeline {
    agent any

    tools{
        maven 'maven 3.9.5'
    }

    stages {
        stage("init") {
            steps {
                script {
                    ps = load "myscript.groovy"
                }
            }
        }
        stage("build jar") {
            steps {
                script {
                    ps.buildJar()
                }
            }
        }

        stage("build image") {
            steps {
                script {
                    ps.buildAndPushImage()
                }
            }
        }
        stage("deploy") {
            steps {
                script {
                     ps.deployApp()

                }
            }
        }
    }
}
